import mapboxgl from 'mapbox-gl';
import Threebox, { ThreeboxObject } from '../Threebox';
export declare type DragActionType = 'translate' | 'rotate';
declare class EventHandler {
    threebox: Threebox;
    map: mapboxgl.Map;
    canvas: HTMLElement;
    selectedObject: ThreeboxObject;
    draggedObject: ThreeboxObject;
    draggedAction: DragActionType;
    overedObject: ThreeboxObject;
    overedFeature: mapboxgl.MapboxGeoJSONFeature;
    selectedFeature: mapboxgl.MapboxGeoJSONFeature;
    start: mapboxgl.Point;
    rotationStep: number;
    gridStep: number;
    startCoords: number[];
    lngDiff: number;
    latDiff: number;
    constructor(threebox: Threebox, map: mapboxgl.Map);
    attachEvent: () => void;
    detachEvent: () => void;
    mousePos(e: mapboxgl.MapMouseEvent & mapboxgl.EventData): mapboxgl.Point;
    unselectFeature(point: mapboxgl.Point, feature: mapboxgl.MapboxGeoJSONFeature): void;
    selectFeature(point: mapboxgl.Point, feature: mapboxgl.MapboxGeoJSONFeature): void;
    unoverFeature(feature: mapboxgl.MapboxGeoJSONFeature): void;
    unselectObject(object: ThreeboxObject): void;
    addTooltip(_feature: mapboxgl.MapboxGeoJSONFeature): void;
    removeTooltip(_feature: mapboxgl.MapboxGeoJSONFeature): void;
    private handleClick;
    private handleMouseMove;
    private handleMouseOut;
    private handleMouseDown;
    private handleMouseUp;
}
export default EventHandler;
